Results 1 to 16 of 16

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Unlocking & jailbreaking my 3g 3.1.3

  1. #1
    Default Unlocking & jailbreaking my 3g 3.1.3
    Ok there are so many tutorials and versions and types of iphones that it has me all confused.

    Please help me answer these questions:

    Is the 3g 3.1.3 jailbreakable and unlockable? If I have to revert back to different firmware, which one version firmware?

  2. #2
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    3.1.3 is able to be jailbroken.

    Baseband 5.12.01 is not unlockable.

    Baseband 5.11.07 is unlockable with Blacksn0w.

    Check your baseband version in Settings>General>About (it shows as Modem Firmware). Reverting to different firmwares will not get you an unlock*. If the baseband is already 5.12.01, you can't unlock it.

    You may jailbreak the phone still with Redsn0w 0.9.4

    After doing so, you may go to Cydia and install "Fuzzyband" from BigBoss repo, and run it. It will tell you if you can downgrade your baseband or not. If it says you can't, you can't do anything else to unlock. If it says you can, let it downgrade.

    Afterwards, if you have downgraded your baseband, you may install "repo666.ultrasn0w.com" and install Ultrasn0w to unlock. This only applies to bootloaders 5.08. If you are lucky to have that bootloader (FuzzyBand will also report this to you like I said earlier) then good for you

    Any questions? Feel free to ask again.

  3. The Following User Says Thank You to i.Annie For This Useful Post:

    g0tvtec (2010-05-18)

  4. #3
    Thanks for simplifying it for me Annie.. I do have 5.12.01

    I am in the process of downloading Redsnow 0.9.4. Hopefully it will allow me to downgrade my baseband. If not then I'll have to see this phone.

    I downloaded the 3g 3.1.3 firmware but Redsnow is unable to recognize it
    Last edited by g0tvtec; 2010-05-18 at 04:31 AM. Reason: Automerged Doublepost

  5. #4
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    You need 3.1.2 for Redsn0w

    Edit* you can be on 3.1.3 but you still need 3.1.2 to make redsn0w jailbreak the phone
    Last edited by i.Annie; 2010-05-18 at 05:31 AM. Reason: Automerged Doublepost

  6. The Following User Says Thank You to i.Annie For This Useful Post:

    g0tvtec (2010-05-18)

  7. #5
    SO even though I am using 3.1.3, I can download the 3.1.2 firmware and use it on redsnow 0.9.4?

  8. #6
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Yeah you need 3.1.2 for Redsn0w, it works fine for a phone on 3.1.3

  9. #7
    Ok I was able to find the 3.1.3 firmware and used Redsnow with it to jailbreak my iphone. My iphone still shows a 3.1.3 but it now has Cydia and is jailbroken.

    However after downloading Fuzzyband, it told me that downgrading will only work with baseband bootloader 05.08

    Where can i get that?

  10. #8
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Quote Originally Posted by g0tvtec View Post
    Ok I was able to find the 3.1.3 firmware and used Redsnow with it to jailbreak my iphone. My iphone still shows a 3.1.3 but it now has Cydia and is jailbroken.

    However after downloading Fuzzyband, it told me that downgrading will only work with baseband bootloader 05.08

    Where can i get that?
    Unfortunately very few Iphones has bootloade 5.08, if it says it can't be done , so as of now you can only use it as an Ipod Touch..atleast better than nothing...keep smiling

  11. The Following User Says Thank You to iYeow For This Useful Post:

    g0tvtec (2010-05-18)

  12. #9
    So after a bit of research I found out that my bootloader version 06.04 cannot be downgraded until the 4g comes out. And even after the 4g out there is no guarantee that it will be unlockable.

    I was hoping of upgrading from my really laggy 2g to this 3g but looks like I may have to sell it now lol

    So may you confirm that there is no workaround for this currently?

    Quote Originally Posted by yeow202 View Post
    Unfortunately very few Iphones has bootloade 5.08, if it says it can't be done , so as of now you can only use it as an Ipod Touch..atleast better than nothing...keep smiling
    Definitely won't be using it as an ipod touch since I already have a 120gb ipod. I can sell it for $250 or wait until the 4g comes out and maybe it will be unlockable by that time.
    Last edited by g0tvtec; 2010-05-18 at 07:44 AM. Reason: Automerged Doublepost

  13. #10
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Quote Originally Posted by g0tvtec View Post
    So after a bit of research I found out that my bootloader version 06.04 cannot be downgraded until the 4g comes out. And even after the 4g out there is no guarantee that it will be unlockable.

    I was hoping of upgrading from my really laggy 2g to this 3g but looks like I may have to sell it now lol

    So may you confirm that there is no workaround for this currently?



    Definitely won't be using it as an ipod touch since I already have a 120gb ipod. I can sell it for $250 or wait until the 4g comes out and maybe it will be unlockable by that time.
    Yeah, there is going to be one more unlock before 4g comes out. Maybe you want to hold on or get a 3gs which is way better in performance. Make sure if you get a 3gs, get one that has old bootrom and using Ultrasn0w or Blacksn0w to unlock.

  14. #11
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    I dont think a new unlock will be released until 4.0 is released.

    I would save my money for the new iPhone than waste it on a 3GS

  15. The Following User Says Thank You to i.Annie For This Useful Post:

    g0tvtec (2010-05-18)

  16. #12
    Thanks for the help

    I'm pretty sure I'm going to sell it now. I bought it for $100 from a friend so I got a good deal on it. Seems like unlocked & jailbroken 3g sells for a lot more than just an jailbroken 3g though.

    I don't care about 3g since I am using Tmobile. Just wanted a new iphone since my current one lags. Maybe I just have to restore it.

  17. #13
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Well, youd have to get a new one if youd like to unlock anyhow. Or wait for the new unlock in about a month The lag can be fixed by a clean restore and setting up the phone as new.

  18. #14
    iPhone? More like MyPhone
    Join Date
    Mar 2010
    Location
    New Jersey
    Posts
    203
    Thanks
    10
    Thanked 22 Times in 10 Posts

    I maybe late but to jailbreak 3.1.3 just use spirit it's so much easier

  19. #15
    Quote Originally Posted by Anniex423 View Post
    Well, youd have to get a new one if youd like to unlock anyhow. Or wait for the new unlock in about a month The lag can be fixed by a clean restore and setting up the phone as new.
    There is no guarantee that it would be unlockable though right?

    I really dont want to restore my old iphone because it's a pain to reunlock and jailbreak.. all of these different versions of firmware, baseband, bootloader, snow, etc etc confuses the crap outta me lol

  20. #16
    if my iphone is permanently unlocked, after upgrading to 3.1.3 can i still jailbreak it? like i said i dont have to worry about unlocking it as its unlocked permanently.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •